org.apache.cassandra.db.composites

## Class AbstractSimpleCellNameType

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractCType
  - - org.apache.cassandra.db.composites.AbstractCellNameType
    - - org.apache.cassandra.db.composites.AbstractSimpleCellNameType

- All Implemented Interfaces:
    java.util.Comparator<Composite>, CellNameType, CType
  Direct Known Subclasses:
    SimpleDenseCellNameType, SimpleSparseCellNameType

      public abstract class AbstractSimpleCellNameType
      extends AbstractCellNameType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CellNameType

      `CellNameType.Deserializer`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CType

      `CType.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractType<?>` | `type`

    - ### Fields inherited from class org.apache.cassandra.db.composites.AbstractCType

      `isByteOrderComparable`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSimpleCellNameType(AbstractType<?> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractType<?>` | `asAbstractType()` Returns a AbstractType corresponding to this CType for thrift/cql2 sake.
    `CBuilder` | `builder()` A builder of Composite.
    `int` | `compare(Composite c1, Composite c2)`
    `protected java.util.Comparator<java.lang.Object>` | `getByteOrderAsymmetricColumnComparator(boolean isRightNative)`
    `protected java.util.Comparator<Cell>` | `getByteOrderColumnComparator(boolean isRightNative)`
    `boolean` | `isCompound()` Returns whether this is a "truly-composite" underneath.
    `protected CellName` | `makeCellName(java.nio.ByteBuffer[] components)`
    `CellNameType.Deserializer` | `newDeserializer(java.io.DataInput in)` Creates a new Deserializer.
    `int` | `size()` The number of subtypes for this CType.
    `AbstractType<?>` | `subtype(int i)` Gets a subtype of this CType.

    - ### Methods inherited from class org.apache.cassandra.db.composites.AbstractCellNameType

      `addOrUpdateCollection, asymmetricColumnComparator, cellFromByteBuffer, cellSerializer, collectionType, columnComparator, columnReverseComparator, columnSerializer, create, diskAtomFilterSerializer, hasCollections, make, makeCellName, makeDenseCQL3RowBuilder, makeSparseCQL3RowBuilder, namesQueryFilterSerializer, onDiskAtomComparator, onDiskAtomSerializer, rowMarker, staticPrefix, supportCollections`

    - ### Methods inherited from class org.apache.cassandra.db.composites.AbstractCType

      `checkRemaining, deletionInfoSerializer, equals, getString, hashCode, indexComparator, indexReverseComparator, indexSerializer, isByteOrderComparable, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, rowIndexEntrySerializer, serializer, sliceBytes, sliceQueryFilterSerializer, sliceSerializer, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.composites.CellNameType

      `addCQL3Column, clusteringPrefixSize, CQL3RowBuilder, create, isDense, prefixBuilder, removeCQL3Column, setSubtype`

    - ### Methods inherited from interface org.apache.cassandra.db.composites.CType

      `deletionInfoSerializer, fromByteBuffer, getString, indexComparator, indexReverseComparator, indexSerializer, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, rowIndexEntrySerializer, serializer, sliceQueryFilterSerializer, sliceSerializer, validate`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### type

          protected final AbstractType<?> type

  - ### Constructor Detail

    - #### AbstractSimpleCellNameType

          protected AbstractSimpleCellNameType(AbstractType<?> type)

  - ### Method Detail

    - #### isCompound

          public boolean isCompound()

      Description copied from interface: `CType`
      Returns whether this is a "truly-composite" underneath.

    - #### size

          public int size()

      Description copied from interface: `CType`
      The number of subtypes for this CType.

    - #### compare

          public int compare(Composite c1,
                    Composite c2)

      Specified by:
        `compare` in interface `java.util.Comparator<Composite>`
      Specified by:
        `compare` in interface `CType`
      Overrides:
        `compare` in class `AbstractCType`

    - #### getByteOrderColumnComparator

          protected java.util.Comparator<Cell> getByteOrderColumnComparator(boolean isRightNative)

      Overrides:
        `getByteOrderColumnComparator` in class `AbstractCType`

    - #### getByteOrderAsymmetricColumnComparator

          protected java.util.Comparator<java.lang.Object> getByteOrderAsymmetricColumnComparator(boolean isRightNative)

      Overrides:
        `getByteOrderAsymmetricColumnComparator` in class `AbstractCType`

    - #### subtype

          public AbstractType<?> subtype(int i)

      Description copied from interface: `CType`
      Gets a subtype of this CType.

    - #### makeCellName

          protected CellName makeCellName(java.nio.ByteBuffer[] components)

      Specified by:
        `makeCellName` in class `AbstractCellNameType`

    - #### builder

          public CBuilder builder()

      Description copied from interface: `CType`
      A builder of Composite.

    - #### asAbstractType

          public AbstractType<?> asAbstractType()

      Description copied from interface: `CType`
      Returns a AbstractType corresponding to this CType for thrift/cql2 sake. If the CType is a "simple" one, this just return the wrapped type, otherwise it returns the corresponding org.apache.cassandra.db.marshal.CompositeType. This is only meant to be use for backward compatibility (particularly for thrift/cql2) but it's not meant to be used internally.

    - #### newDeserializer

          public CellNameType.Deserializer newDeserializer(java.io.DataInput in)

      Description copied from interface: `CellNameType`
      Creates a new Deserializer. This is used by AtomDeserializer to do incremental and on-demand deserialization of the on disk atoms. See AtomDeserializer for details.

Copyright © 2014 The Apache Software Foundation